# Search Integration Examples

## Public repository notice

This repository is purposefully intended to be public in an effort to share these examples with other users at the university.

Pull requests to help keep this repository up to date are welcomed, just make a new branch and then submit a PR which will be reviewed by Web Services. You shouldn't need to include any sensitive types of information such as login credentials with this repository. Pull requests containing any sensitive information will not be accepted and immediately sent to the VCU Information Security Office for action.

## Examples

The purpose of this repository is to show the simplest examples of how to integrate the Funnelback search engine with your website or web application. When exploring the implementation options for your website it is recommended to look at the examples in this order.

1. [vcu-meta-basic.html](vcu-meta-basic.html)
2. [vcu-mbu-collection-basic.html](vcu-mbu-collection-basic.html)
3. [vcu-meta-scoped.html](vcu-meta-scoped.html)
4. [vcu-mbu-collection-scoped.html](vcu-mbu-collection-scoped.html)
5. [vcu-toggle.html](vcu-toggle.html)
6. [vcu-advanced.html](vcu-advanced.html)
7. [vcu-json.html](vcu-json.html)
7. [vcu-special-json.html](vcu-special-json.html)

Note: At the time of creating this repository we have not officially migrated over and put the new search into production. All references are pointing to search2.vcu.edu, which is a beta preview of the new search. After March 27th, 2019 you should be using the search.vcu.edu domain.

